%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           telepathy-butterfly
Version:        0.3.3
Release:        2%{?dist}
Summary:        MSN connection manager for Telepathy

Group:          Applications/Communications
License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.3.2-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:	dbus-devel
BuildRequires:	python-devel
BuildRequires:	pkgconfig

Requires:	python-telepathy
Requires:	pymsn
Requires:	dbus
Requires:	telepathy-filesystem


%description
An MSN connection manager that handles presence, personal messages,
and conversations


%prep
%setup -q
%patch0 -p1 -b .destdir


%build
./configure --prefix=%{_prefix}
make


%install
rm -rf $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{python_sitelib}/*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan  6 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3.
- Add NEWS.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.2-2
- Rebuild for Python 2.6

* Sun Jul 20 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2.

* Thu Jan 17 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1.
- Add patch to fix build.

* Mon Jan 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.4-2
- Update license tag.

* Tue Apr 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-3
- Add BR on python-devel.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-2
- Rebuild against new python.

* Thu Nov 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3.

* Sun Oct  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2.

* Mon Oct  2 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.0-1
- Initial FE spec.

